
Redmine - Defect #32049

Redmine allows same user to login from different machines simulteniously

2019-09-11 12:57 - Amit Mehendale

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Accounts / authentication Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix Affected version: 4.0.4

Description

Using Redmine 4.0.4

Able to Login using same user credentials from different machines at same time.

Expected :- If user is already logged in on 1 machine then it should not allow user to log-in on other machine.

Thanks

History

#1 - 2019-09-16 20:11 - Matthew Paul

This is not a bug imho - I am often logged into multiple machines and devices and would like it to remain that way

#2 - 2019-09-17 01:16 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Wont fix

This is the expected behavior, not a defect.

The number of maximum simultaneous logins for a user is controlled in app/models/token.rb. If you don't want to allow the behavior, change the code

as follows:

diff --git a/app/models/token.rb b/app/models/token.rb

index 8e93918ec..7922d24b6 100644

--- a/app/models/token.rb

+++ b/app/models/token.rb

@@ -41,7 +41,7 @@ class Token < ActiveRecord::Base

   add_action :feeds,     max_instances: 1,  validity_time: nil

   add_action :recovery,  max_instances: 1,  validity_time: Proc.new { Token.validity_time }

   add_action :register,  max_instances: 1,  validity_time: Proc.new { Token.validity_time }

-  add_action :session,   max_instances: 10, validity_time: nil

+  add_action :session,   max_instances: 1, validity_time: nil

   def generate_new_token

     self.value = Token.generate_token_value
